Subject: bug#53679: closed (Re: bug#53679: [PATCH] gnu: fontmanager: depend on python3)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Feb 2022 02:55:02 +0000

Your bug report

#53679: [PATCH] gnu: fontmanager: depend on python3

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53679: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53679
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53679: [PATCH] gnu: fontmanager: depend on python3
From: Maxim Cournoyer <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 23 Feb 2022 21:54:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Julien Lepiller <[email-masked]> writes:

> Hi, I believe I fixed this very issue yesterday. Can you confirm?
>
> Also, when adding a tool that is used during the build, you should use
> native-inputs instead, or cross-builds will fail.

Works fine for me, after adding gsettings-desktop-schemas as an input in
45d0c82dcc7380e78472dd819981a5025f6157e5 (otherwise I'd get a error due
to a missing schema on my non-GNOME machine).

Closing.

Thanks!

Maxim

Subject: [PATCH] gnu: fontmanager: depend on python3
From: Ryan Sundberg <[email-masked]>
To: [email-masked]
Cc: Ryan Sundberg <[email-masked]>
Date: Mon, 31 Jan 2022 21:55:12 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

This package requires python3 on the path to sucessfully build:

    Program python found: NO
    ../source/meson.build:45:0: ERROR: python3 not found

* gnu/packages/fontutils.scm (fontmanager)[inputs]: Add python-3
---
 gnu/packages/fontutils.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index bc082de3d3..5a92f752d1 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -906,6 +906,7 @@ (define-public fontmanager
       ("gtk+" ,gtk+)
       ("json-glib" ,json-glib)
       ("libsoup" ,libsoup-minimal-2)
+      ("python" ,python-3)
       ("sqlite" ,sqlite)
       ("webkitgtk" ,webkitgtk-with-libsoup2)))
    (home-page "https://fontmanager.github.io/")
-- 
2.34.0